import { Provider } from "@ethersproject/providers";
import { ProviderOrSigner } from "../core/types";
import { IStorage } from "../interfaces/IStorage";
/**
 * The typical contract metadata found on the modules.
 * @public
 */
export interface ContractMetadata {
    uri: string;
    name?: string;
    description?: string;
    image?: string;
    external_link?: string;
    seller_fee_basis_points?: number;
    fee_recipient?: string;
    [key: string]: any;
}
/**
 * @internal
 */
export declare const InterfaceId_IERC721: Uint8Array;
/**
 * @internal
 */
export declare const InterfaceId_IERC1155: Uint8Array;
/**
 * @internal
 */
export declare function getContractMetadata(provider: ProviderOrSigner, address: string, storage: IStorage, resolveGateway?: boolean): Promise<ContractMetadata>;
/**
 * @internal
 */
export declare function isContract(provider: Provider, address: string): Promise<boolean>;
