import { Registry } from "3rdweb-contracts";
import { ContractMetadata } from "../common/contract";
import { Module } from "./module";
/**
 * @public
 */
export interface IAppModule {
    address: string;
    version: number;
    metadata?: ContractMetadata;
}
/**
 * The RegistryModule. This should always be created via `getRegistryModule()` on the main SDK.
 * @internal
 */
export declare class RegistryModule extends Module<Registry> {
    /**
     * @internal
     */
    protected connectContract(): Registry;
    /**
     * @internal
     */
    getProtocolContracts(address?: string): Promise<IAppModule[]>;
}
