import { DataStore } from "3rdweb-contracts";
import { TransactionReceipt } from "@ethersproject/providers";
import { BigNumberish } from "ethers";
import { ModuleType, Role } from "../common";
import { ModuleWithRoles } from "../core/module";
/**
 * Access this module by calling {@link ThirdwebSDK.getDatastoreModule}
 * @alpha
 */
export declare class DatastoreModule extends ModuleWithRoles<DataStore> {
    static moduleType: ModuleType;
    static roles: readonly ["admin", "editor"];
    /**
     * @override
     * @internal
     */
    protected getModuleRoles(): readonly Role[];
    /**
     * @internal
     */
    protected connectContract(): DataStore;
    /**
     * @internal
     */
    protected getModuleType(): ModuleType;
    getUint(key: string): Promise<BigNumberish | undefined>;
    setUint(key: string, value: BigNumberish): Promise<TransactionReceipt>;
}
