import FileOrBuffer from "../FileOrBuffer";
/**
 * CommonModuleMetadata defines the common properties of a module deployment.
 */
export declare class CommonModuleMetadata {
    /**
     * The name of the module.
     */
    name: string;
    /**
     * The description of the module.
     */
    description?: string;
    /**
     * An image for the module.
     *
     * If the image is a File or Buffer, it will be uploaded to IPFS.
     * If the image is a string, it will be used as-is (in case you already uploaded it to IPFS
     * and the property is the IPFS hash uri).
     */
    image?: string | FileOrBuffer;
    /**
     * An external link for the module.
     */
    externalLink?: string;
}
export default CommonModuleMetadata;
