import CommonModuleMetadata from "./CommonModuleMetadata";
export declare class PackModuleMetadata extends CommonModuleMetadata {
    /**
     * The amount of royalty collected on all royalties represented as basis points.
     * The default is 0 (no royalties).
     *
     * 1 basis point = 0.01%
     *
     * For example: if this value is 100, then the royalty is 1% of the total sales.
     */
    sellerFeeBasisPoints: number;
    /**
     * The address of the royalty recipient. All royalties will be sent
     * to this address.
     */
    feeRecipient?: string;
}
export default PackModuleMetadata;
