import CommonModuleMetadata from "./CommonModuleMetadata";
export declare class VoteModuleMetadata extends CommonModuleMetadata {
    /**
     * The wait time before a proposal can begin being voted on (seconds).
     */
    proposalStartWaitTimeInSeconds: number;
    /**
     * How long a proposal is open for voting (seconds).
     */
    proposalVotingTimeInSeconds: number;
    /**
     * **Do not set this property directly. It will be set by the SDK. Unless you know what you're doing.**
     *
     * Every proposal will wait `votingDelay` number of blocks before it can be voted on.
     */
    votingDelay?: number | undefined;
    /**
     * **Do not set this property directly. It will be set by the SDK. Unless you know what you're doing.**
     *
     * The voting period is the number of blocks that a proposal will be open for voting.
     * This varies by chain.
     */
    votingPeriod?: number | undefined;
    /**
     * The ERC20 token address that is used in the voting process.
     */
    votingTokenAddress: string;
    /**
     * Quorum required for a proposal to be successful. This value should be between 0-100 and represents a percentage.
     *
     * By default it is set to 0.
     */
    votingQuorumFraction: number;
    /**
     * The minimum number of tokens required to propose a proposal.
     */
    minimumNumberOfTokensNeededToPropose: string;
}
export default VoteModuleMetadata;
